About FillCD

FillCD takes a list of files or directories and tells you which of them fits best within a certain size limit. How is this useful? Now you can easily find out how to make the most of the space on a blank CD, Zip or Jaz disk, or whatever type of media you like. Just specify the size to use and how close to 100% you want to fill it, select the files or directories to use as "candidates," and click Compute. The results will appear, and you can move the winning combination to another location.

Got any comments/questions/suggestions? Please email me at redhatsmoker@hotmail.com. For the latest version and information, be sure to check out www.fillcd.com.

FillCD 2.0 was developed using Microsoft Visual C++ 6.0, some books, some Mountain Dew, and several cartons of Basic Full-Flavor Shorts. (That's right, Philip Morris, that was a free plug. Now help *me* out! Please? Pretty please? With sugar..........


Selecting Media Size

This is the maximum size that, ideally, you would like to fill. There are two ways to specify media size:

  • Select a predefined size: There are numerous options here that will likely suit your needs. Just select one from the dropdown list and it will be used.
  • Specify size manually: Just type a number into the "Size of Media" box to manually specify a size. Enter it in bytes, kilobytes, or megabytes as you prefer by selected one of the radio buttons that follow.
In addition to using a predefined size and manually specifying a size, you can create custom sizes by entering a new media size in the "Size of Media" box, and clicking Add. Your custom size will be saved for use at any later time.

Next up: Setting Fill Range


Setting Fill Range

By setting the minimum and maximum fill percentages, you can specify how what range surrounding the media size you will be satisfied with filling. For example, specifying "97" and "100" will attempt to calculate a combination that is somewhere between 97% and 100% of the media size. You may also specify maximum (or minimum, for that matter) ranges above 100%, in case you would like to "overburn" a CD. It generally does not take long to calculate a combination that will fill the media between 99.95% and 100%, so if in doubt, these values would probably work..

Next up: Adding Files and Directories to Use


Adding Files and Directories to Use

Depending on how much customization you want, this can either be the simplest or most complicated step. First of all, to add a file or directory to the list to consider, simply drag them from any Windows Explorer (or similar file browser) window and drop them anywhere onto the FillCD window. To make things easy (one would hope), you can click Open Explorer... to, guess what, open an Explorer window. If you want, you can stop here, or if you'd like to tweak the calculation more, here goes:

By selecting any number of files or directories (hereafter "candidates") in the list and right-clicking, a popup menu will appear. Through this, you can manipulate how they are considered in the calculation.

  • Include in Group #: If you want several candidates to be considered as one unit, choose this to add them to the same group. When FillCD is done computing the results, either all of the candidates in the same group will be included in the results, or none of them will. In case the purpose for this isn't obvious, let's take the following situation: you have a bunch of MP3 albums you want to burn to CD. In this group of (legal backup) albums, you have 5 (legal backup) Alice in Chains albums. Most likely you wouldn't want 3 of them to end up on one CD and 2 on another, so with this feature you can just put them in the same group.
  • Exclude From All Groups: Just the opposite of the previous; if you want a candidate to be considered independently, select this. (Default)
  • Force Inclusion: If you want a candidate to be included in the results no matter what, select this option. If the total size of all forced candidates is greater than the maximum you specified for the media size, you will be notified.

Other things to note:

  • Selecting "Remove" from the popup menu, as one would expect, removes the selected candidate(s) from the list.
  • Clicking Clear All will prompt you for confirmation, then will (gasp!) remove all candidates from the list.

Next up: Calculating and Moving Results


Calculating and Moving Results

Once you've specified the media size, fill range, and files and directories to consider, just click Compute to begin calculating an optimum combination. Depending on the width of the fill range you specified, the process could take anywhere from a fraction of a second to damn near forever. You will be able to see the progress of the calculation and can hit Cancel at any time to use the best combination so far.

After the calculation has finished, you have the option of moving the results to a separate location for later archival. Simply type in a destination directory, or click Select Destination to browse for a location. Once you've chosen the destination, just click Move to uh, move them.


Support FillCD (please?)

Support FillCD

This is fully uncrippled, nag-free, non-expiring shareware/donationware. Use it a lot? Feel free to send something along if you like. If nothing else, though, send me an email and let me know that you use it -- redhatsmoker@hotmail.com. But if you'd be so kind as to make a monetary contribution, you may send it here:

Tim Russell
2612 S. Seymour Pl.
West Allis, WI 53227

Hope you find this thing useful. Let me know if you have any comments/questions/suggestions; you can send them to the email address above. And for the latest version and information, be sure to check out www.fillcd.com. thanx y0